
#include <stdio.h>

#include <erl_driver.h>
#include <erl_driver_pipelib.h>

int
main(int argc, char *argv[])
{
    ErlIOVec	*ev;
    int		i;

    for (i = 0; i < argc; i++) {
	fprintf(stderr, "argv[%d] = %s\r\n", i, argv[i]);
    }
    while ((ev = read_packet_make_iovec(0)) != NULL) {
	fprintf(stderr, "Got packet of %d bytes\r\n", ev->size);
	for (i = 0; i < ev->vsize; i++) {
	    fprintf(stderr, "iov[%d].iov_len = %d\r\n", i, ev->iov[i].iov_len);
	    if (ev->binv[i] != NULL) {
		fprintf(stderr, "binv[%d].refc = %d\r\n", i, ev->binv[i]->refc);
		fprintf(stderr, "binv[%d].orig_size = %d\r\n", i, ev->binv[i]->orig_size);
	    }
	}
	fprintf(stderr, "Bottom of while loop\r\n");
    }
    fprintf(stderr, "Outside of loop, exiting!\r\n");
    exit(0);
}
